
Redmine - Feature #566

A possible script or plugin to generate subversion compatible authz permission file?

2008-01-18 12:46 - Liang Jin

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I have configured the current trunk version of redmine with subversion to be used for our developers/users. Users systems

are synced using pam, nss method outlined in the redmine wiki.

Anonymous users will check out the latest version using http:// protocol. And the developers use SVN+SSH://  to check

out and commit.

However, as many users are using Windows machines and TortoiseSVN, the SVN+SSH:// method does not integrate very well

in TortoiseSVN. You will be asked to enter password a few times in the normal workflow of checkout and commit.

A much nicer way would be to use the Authz permission system along with Apache in the frontend to serve the https:// protocol.

The authz file is quite simple actually, for example:

[project1_team]

project1_readonly = bob, bill

project1_commit = bob, barry, brett

[/]

* = 

[/project1]

@project1_readonly = r

project1_commit = rw

 Certainly, the user list and passwords will be stored in another file for Apache DAV access.

What do you think? Thanks.

History

#1 - 2008-02-04 23:37 - Liang Jin

I have written a PHP script to do this right now. And use crontab jobs to update the authz file regularly. However, it would be best to do this in Ruby I

guess, since this is a Ruby project.

#2 - 2008-02-05 19:43 - Jean-Philippe Lang

You can post the php script. I'll see if it's easy to implement it in ruby.

#3 - 2011-03-24 05:42 - Toshi MARUYAMA

- Category set to SCM

#4 - 2011-03-24 07:39 - Toshi MARUYAMA

- Category changed from SCM to SCM extra
